﻿using Microsoft.Extensions.Configuration;

namespace Connected.Configuration
{
	internal class StorageConfiguration : IStorageConfiguration
	{
		public StorageConfiguration(IConfiguration configuration)
		{
			Databases = new DatabaseConfiguration(configuration.GetSection("databases"));
		}

		public IDatabaseConfiguration Databases { get; }
	}
}
