﻿using Connected.Annotations;
using Connected.Security.Authorization;
using Connected.Services.Authorization;
using Microsoft.Extensions.DependencyInjection;

[assembly: MicroService(MicroServiceType.Sys)]

namespace Connected.Services;

internal class ServicesStartup : Startup
{
	protected override void OnConfigureServices(IServiceCollection services)
	{
		services.AddScoped(typeof(IAuthorizationContext), typeof(ServiceAuthorizationContext));
	}
}
