﻿using Connected.Expressions.Languages;
using System.Linq.Expressions;

namespace Connected.Expressions;

public class VariableDeclaration
{
    public VariableDeclaration(string name, DataType dataType, Expression expression)
    {
        Name = name;
        DataType = dataType;
        Expression = expression;
    }

    public string Name { get; }
    public DataType DataType { get; }
    public Expression Expression { get; }
}
